## Mkdir

### Description

Creates a directory. Also non-existent parent directories are created, when necessary. Does nothing if the directory already exists.

### Parameters

Attribute | Description | Required
--- | --- | ---
dir | the directory to create. | Yes

### Examples

Create a directory `${dist}`.

    <mkdir dir="${dist}"/>

Create a directory `${dist}/lib`.

    <mkdir dir="${dist}/lib"/>